System.Web 2.0.0.0 System.Object System.Web.IHttpAsyncHandler

A object intercepts incoming requests in the HTTP pipeline when both request interception has been configured through Internet Information Services (IIS) 6.0 and no explicit httpHandlers bindings apply to the requested extension.

Request interception can be set up through the wildcard application mapping feature introduced in IIS 6.0. For more information, search the MSDN Library for information about using wildcard application maps to remap a URL.

The class implements the interface to provide asynchronous request processing. For general information about HTTP handlers, see HTTP Handlers and HTTP Modules Overview. Additionally, for more information see the following:

About creating asynchronous HTTP handlers, see How to: Create an Asynchronous HTTP Handler.

About registering HTTP handlers, see How to: Register HTTP Handlers.

Classes can derive from the class to provide customized handling of requests. An asynchronous HTTP handler that is derived from the could override the method to change how requests are processed.

A does not use ASP.NET errors. Existing content that uses IIS errors or a propriety ISAPI custom error mechanism would work unchanged.

Represents the properties and methods of a default HTTP handler.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.IAsyncResult `` `` ``

  When creating an HTTP handler for asynchronous use, your handler must implement the asynchronous and methods that are called asynchronously by ASP.NET.

  Initiates an asynchronous call to the HTTP handler.

  An that contains information about the status of the process.

  An object that provides references to intrinsic server objects that are used to service HTTP requests. The method to call when the asynchronous method call is complete. If is null, the delegate is not called. Any state data that is needed to process the request. 2.0.0.0
- Property
  System.Web.HttpContext To be added.

  The property provides access to the current object for derived classes. An object provides access to the intrinsic , , and properties for the request. For more information about accessing contextual information, see .

  Gets the context that is associated with the current object.

  2.0.0.0
- Method
  System.Void ``

  You can use the method to throw any exceptions that are caught during the asynchronous process.

  Provides an end method for an asynchronous process.

  An object that contains information about the status of the process. 2.0.0.0
- Property
  System.Collections.Specialized.NameValueCollection To be added.

  The property returns an empty collection unless it is populated in a class that is derived from the class. The headers that are added are appended to the collection of headers in the request before passing the request back to Internet Information Services (IIS).

  Gets a collection of request headers and request values to transfer along with the request.

  2.0.0.0
- Property
  System.Boolean To be added.

  To explicitly set the property to true or false, override the property.

  Gets a Boolean value indicating that another request can use the current instance of the class.

  2.0.0.0
- Method
  System.Void

  Preconditions are specified by the client in the request-header fields and are evaluated on the Web server. For example, by using preconditions, clients can prevent a requested method (for example, GET) from being applied to a resource other than the one intended. For more information, see section 14, "Header Field Definitions," in the Hypertext Transfer Protocol -- HTTP/1.1 specification on the World Wide Web Consortium (W3C) Web site.

  The method is called when preconditions prevent the object from processing a request. A deriving class might override the method to throw an exception when the preconditions fail. The does not throw an exception in the method.

  Any of the following will cause the preconditions to fail:

  Calling .

  Calling .

  Calling .

  Changing the cache policy for the response.

  Adding a object as a filter to the property.

  Called when preconditions prevent the object from processing a request.

  2.0.0.0
- Method
  System.String

  The method returns null unless it is overridden in a class that is derived from the class.

  The method is called only if ASP.NET is running in worker process isolation mode on IIS 6.0, and if the response was not modified before the object was called. The response is modified by any of the following:

  Calling .

  Calling .

  Calling .

  Changing the cache policy for the response.

  Adding a object as a filter to the property.

  Overrides the target URL for the current request.

  The overridden URL to use in the request; or null if an overridden URL is not provided.

  2.0.0.0
- Method
  System.Void ``

  The method should not be called synchronously. Classes that are derived from the class can override the to provide customized request processing.

  Enables a object to process of HTTP Web requests.

  An object that provides references to intrinsic server objects used to service HTTP requests. 2.0.0.0